#!/usr/bin/python3

import serial.tools.list_ports
import sys
import sys, os
sys.path.append(os.path.abspath(os.path.dirname(os.path.realpath(sys.argv[0])) + '/..')) # for common
from common import *


def list_ports():
    ttyS_ports = [x.name for x in serial.tools.list_ports.comports()]

    if is_windows():
        final_ports = [ "COM" + str(int(x.replace("ttyS", ""))+1) for x in ttyS_ports ] 
    else:
        final_ports = ttyS_ports

    return final_ports

# print(list_ports())