<?php

// PHP CABIN LOCAL SCRIPT, TO KEEP IN ELECTRON cyclic Services LOOPS
include_once 'config.php' ;
if(DEFINED('ADMIN_MOD_ACTIVATE') && ADMIN_MOD_ACTIVATE)
{
	$sql = 'SELECT * FROM photocabine_mod_activation WHERE date_begin <= NOW() AND date_end > NOW()' ;
	$activate = $db->select($sql) ;
}else{
	$activate = true ;
}


$oConfigXml = simplexml_load_file(getXmlFile('config.xml')) ;
// get the local amount of unsynced photos
$sql = 'SELECT COUNT(*) nb FROM phocabine_photos WHERE config = "' . $oConfigXml->id . '" AND sync < 1' ;
$nb_photos = $db->select($sql)->nb ;


$sql  = 'SELECT * from photocabine_status WHERE (config = \''. $oConfigXml->id . '\' AND device = ' . DEVICE_ID . ') ORDER BY date DESC LIMIT 0, 1';

$line = $db->select($sql);

if (! $line)  // no cabin status yet for this config and device, we need to wait that update_local_cabin_status.php does its job
{	$id = -1;
	$bServerReachable = -1;
	$printer_status = -1;
	$printer_photos_remaining = -1;
	$needs_reboot = 0;
	$ept_error_code = -1;
	$payment_credit = 0;
	$cabin_is_sane = 0;
}
else
{	
	$id = $line->id;
	$bServerReachable = $line->is_server_reachable;
	$printer_status = $line->printer_status;
	$printer_photos_remaining = $line->printer_photos_remaining;
	$needs_reboot = $line->needs_reboot;
	$ept_error_code = $line->ept_error_code;
	$payment_credit = $line->payment_credit;
	$cabin_is_sane = $line->cabin_is_sane;
}
?>
<xml>
	<id><?php echo($id); ?></id>
	<needs_reboot><?php echo($needs_reboot); ?></needs_reboot>
	<config><?php echo($oConfigXml->id); ?></config>
	<device><?php echo(DEVICE_ID); ?></device>	
	<nb_photos><?php echo($nb_photos); ?></nb_photos>
	<demo><?php echo($activate ? '0' : '1'); ?></demo>
	<online><?php echo($bServerReachable ? '1' : '0'); ?></online>
	<printer_status><?php echo($printer_status); ?></printer_status>
	<printer_photos_remaining><?php echo($printer_photos_remaining); ?></printer_photos_remaining>
	<ept_error_code><?php echo($ept_error_code); ?></ept_error_code>
	<payment_credit><?php echo($payment_credit); ?></payment_credit>
	<cabin_is_sane><?php echo($cabin_is_sane); ?></cabin_is_sane>
</xml>
